name: Deploy

on:
  push:
    branches: master

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v2
    - name: Setup Node.js environment      
      uses: actions/setup-node@v1.4.1
      with:      
        node-version: 11.x
    - name: Setup AWS CLI
      uses: chrislennon/action-aws-cli@1.1
    - name: Hugo setup
      uses: peaceiris/actions-hugo@v2.4.12
      with:
        extended: false
    - name: Deploy
      env:
        AWS_ACCESS_KEY_ID: ${{ secrets.AWS_ACCESS_KEY }}
        AWS_DEFAULT_REGION: us-east1
        AWS_SECRET_ACCESS_KEY: ${{ secrets.AWS_ACCESS_KEY_SECRET }}
      run: |
        aws s3 sync ./docs s3://${{ secrets.S3_BUCKET_NAME }} --delete;
